From foo@baz Tue Apr  9 12:12:43 2002
To: Greg KH <gregkh@suse.de>
Date: 24 Mar 2005 13:08:05 -08:00
From: mochel@digitalimplant.org
Subject: [driver core] Remove struct device::driver_list.


Signed-off-by: Patrick Mochel <mochel@digitalimplant.org>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


Index: linux-2.6.12-rc2/drivers/base/core.c
===================================================================
--- linux-2.6.12-rc2.orig/drivers/base/core.c	2005-04-05 14:35:22.000000000 -0700
+++ linux-2.6.12-rc2/drivers/base/core.c	2005-04-05 14:35:23.000000000 -0700
@@ -212,7 +212,6 @@
 	kobject_init(&dev->kobj);
 	INIT_LIST_HEAD(&dev->node);
 	INIT_LIST_HEAD(&dev->children);
-	INIT_LIST_HEAD(&dev->driver_list);
 	INIT_LIST_HEAD(&dev->dma_pools);
 	init_MUTEX(&dev->sem);
 }
Index: linux-2.6.12-rc2/include/linux/device.h
===================================================================
--- linux-2.6.12-rc2.orig/include/linux/device.h	2005-04-05 14:35:22.000000000 -0700
+++ linux-2.6.12-rc2/include/linux/device.h	2005-04-05 14:35:23.000000000 -0700
@@ -263,7 +263,6 @@
 
 struct device {
 	struct list_head node;		/* node in sibling list */
-	struct list_head driver_list;
 	struct list_head children;
 	struct klist_node	knode_driver;
 	struct klist_node	knode_bus;
